LabWindows/CVI

cancel
Showing results for 
Search instead for 
Did you mean: 

Labwindows CVI 2019 compatibility with Windows 11

Hello everybody,

Does someone know if Labwindows CVI 2019 is compatible with Windows 11?

Thanks in advance,

James

0 Kudos
Message 1 of 4
(674 Views)

In NI Product Compatibility for Microsoft Windows 11 document CVI is listed as Not applicable, since CVI is a 32-bit program and W11 has no 32-bit support. However, as you can read in that same document 

Not applicable means the software bitness for that version of the operating system does not exist or is not a valid configuration. For example, Measurement and Automation Explorer (MAX) or LabWindows™/CVI™ development environments do not have 64-bit versions of the executable, but will work on 64-bit Windows 11.

 

As of my experience, CVI Ide runs correctly on a W11 machine and executables can be created to run on that or other machines.

 

Nevertheless, you may need to pay special attention to which additional modules your program makes use of, since some of them may not be compatible with W11 (the CVI SQL toolkit for example is not even listed in the toolkits table, so it may not work).



Proud to use LW/CVI from 3.1 on.

My contributions to the Developer Community
________________________________________
If I have helped you, why not giving me a kudos?
0 Kudos
Message 2 of 4
(656 Views)

Thanks for your reply Roberto,

I am quite confident for running Labwindows CVI 2019 and generate 64-bits executables on Windows 11 machine. Do you know if ni-daqmx driver will run on Windows 11? My purpose is to control ni-9266 modules plugged on cdaq-9185 ethernet châssis.

Best regards,

James

0 Kudos
Message 3 of 4
(588 Views)

Last versions of NI-DAQmx are of course compatible (the document I listed before declare it compatible starting from release 2022 Q3) but I do not know the boards you mention: you'll have to look into boards documentation to check whether they can be driven with the latest DAQmx or if they require an older version and which one.

 

I can share that I had to maintain a little application which is using DAQmx version 16: I installed it on a W11 box and could execute and compile the program flawlessly.



Proud to use LW/CVI from 3.1 on.

My contributions to the Developer Community
________________________________________
If I have helped you, why not giving me a kudos?
0 Kudos
Message 4 of 4
(567 Views)